##### io_context::io_context (5 of 6 overloads)

Constructor.

    io_context(
        const execution_context::service_maker & initial_services);

Construct with a service maker, to create an initial set of services that will be installed into the execution context at construction time.

###### Parameters

initial_services

  Used to create the initial services. The `make` function will be called once at the end of `execution_context` construction.